
Katello - Bug #6845

Can't delete a Content View

07/30/2014 01:05 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1124109 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/450

5

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1124109

1) import RH Manifest

2) enable:

"Red Hat Enterprise Virtualization Agents for RHEL 6 Client RPMs x86_64 6Client"

"Red Hat Enterprise Virtualization Agents for RHEL 6 Client RPMs i386 6Client"

"Red Hat Enterprise Virtualization Agents for RHEL 6 Client RPMs x86_64 6.5"

3) sync them all

4) create a Content View with all the above repos

5) publish a version of that view

6) Try to delete the top level Content View, go to confirm dialog to delete the version 1

7) Note error in Tasks list:

Action:

Actions::Katello::Foreman::ContentUpdate

Input:

{"environment_id"=>1,

"content_view_id"=>2,

"remote_user"=>"admin-4c601142",

"locale"=>"en"}

Output:

{}

Exception:

NoMethodError: undefined method `puppet_env' for nil:NilClass

Backtrace:

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/foreman.rb:24:in `update_puppet_environment'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/katello/foreman/content_update.rb:32:in `finalize'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.2/lib/dynflow/action.rb:465:in `block (2 levels) in execute_finalize'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.2/lib/dynflow/middleware/stack.rb:26:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.2/lib/dynflow/middleware/stack.rb:26:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.2/lib/dynflow/middleware.rb:16:in `pass'

Full Trace:

https://gist.github.com/mccun934/90fbb2a3b38433d431dd
Associated revisions

Revision 943f1efe - 07/30/2014 01:14 PM - David Davis

Fixes #6845 - Fix undefined method puppet_env for nil

The code was trying to update the content view environment that no longer

exists. So in content view environment destroy, we'll skip updating the

environment since it's gone by the run phase.

Revision 83a65a0f - 07/30/2014 04:33 PM - David Davis

Merge pull request #4505 from daviddavis/temp/20140730131408

Fixes #6845 - Fix undefined method 'puppet_env' for nil

History

#1 - 07/30/2014 01:14 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4505 added

- Pull request deleted ()

#2 - 07/30/2014 05:01 PM - David Davis

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|943f1efec9b82cfb9f43360cfd58ff71f16b3506.

#3 - 08/01/2014 08:06 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

https://projects.theforeman.org/projects/katello/repository/katello/revisions/943f1efec9b82cfb9f43360cfd58ff71f16b3506
http://www.tcpdf.org

